| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::Feature2DAsync Class Referenceabstract
CUDA-accelerated Computer Vision » Feature Detection and Description

Abstract base class for CUDA asynchronous 2D image feature detectors and descriptor extractors. More...

`#include <opencv2/cudafeatures2d.hpp>`

Inheritance diagram for cv::cuda::Feature2DAsync:

## Public Member Functions
virtual | ~Feature2DAsync ()
virtual void | computeAsync (InputArray image, OutputArray keypoints, OutputArray descriptors, Stream &stream=Stream::Null())
| Computes the descriptors for a set of keypoints detected in an image. More...
virtual void | convert (InputArray gpu_keypoints, std::vector< KeyPoint > &keypoints)=0
virtual void | detectAndComputeAsync (InputArray image, InputArray mask, OutputArray keypoints, OutputArray descriptors, bool useProvidedKeypoints=false, Stream &stream=Stream::Null())
virtual void | detectAsync (InputArray image, OutputArray keypoints, InputArray mask=noArray(), Stream &stream=Stream::Null())
| Detects keypoints in an image. More...
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
virtual String | getDefaultName () const CV_OVERRIDE
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Abstract base class for CUDA asynchronous 2D image feature detectors and descriptor extractors.

## Constructor & Destructor Documentation

## ◆ ~Feature2DAsync()

virtual cv::cuda::Feature2DAsync::~Feature2DAsync | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ computeAsync()

virtual void cv::cuda::Feature2DAsync::computeAsync | ( | InputArray | image,
|  | OutputArray | keypoints,
|  | OutputArray | descriptors,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| virtual

Computes the descriptors for a set of keypoints detected in an image.

Parameters

  image | Image.
  keypoints | Input collection of keypoints.
  descriptors | Computed descriptors. Row j is the descriptor for j-th keypoint.
  stream | CUDA stream.

## ◆ convert()

virtual void cv::cuda::Feature2DAsync::convert | ( | InputArray | gpu_keypoints,
|  | std::vector< KeyPoint > & | keypoints
| ) |  |
| pure virtual

Converts keypoints array from internal representation to standard vector.

## ◆ detectAndComputeAsync()

virtual void cv::cuda::Feature2DAsync::detectAndComputeAsync | ( | InputArray | image,
|  | InputArray | mask,
|  | OutputArray | keypoints,
|  | OutputArray | descriptors,
|  | bool | useProvidedKeypoints = `false`,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| virtual

Detects keypoints and computes the descriptors.

## ◆ detectAsync()

virtual void cv::cuda::Feature2DAsync::detectAsync | ( | InputArray | image,
|  | OutputArray | keypoints,
|  | InputArray | mask = `noArray()`,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| virtual

Detects keypoints in an image.

Parameters

  image | Image.
  keypoints | The detected keypoints.
  mask | Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest.
  stream | CUDA stream.

The documentation for this class was generated from the following file:

- opencv2/cudafeatures2d.hpp